## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developers.dwolla.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

https://api.dwolla.comhttps://api-sandbox.dwolla.com

/customers/{id}/exchanges

### cURL

```shell
GET https://api-sandbox.dwolla.com/customers/9fc74373-a5c7-40e4-aa59-d5f4c86a24ea/exchanges
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
```

```json
{
    "_links": {
        "self": {
            "href": "https://api-sandbox.dwolla.com/exchanges",
            "type": "application/vnd.dwolla.v1.hal+json",
            "resource-type": "exchange"
        }
    },
    "_embedded": {
        "exchanges": [
            {
                "_links": {
                    "self": {
                        "href": "https://api-sandbox.dwolla.com/exchanges/92822961-3a7f-42c0-b0cc-7ffef05717fa",
                        "type": "application/vnd.dwolla.v1.hal+json",
                        "resource-type": "exchange"
                    },
                    "exchange-partner": {
                        "href": "https://api-sandbox.dwolla.com/exchange-partners/bca8d065-49a5-475b-a6b4-509bc8504d22",
                        "type": "application/vnd.dwolla.v1.hal+json",
                        "resource-type": "exchange-partner"
                    },
                    "funding-sources": {
                        "href": "https://api-sandbox.dwolla.com/funding-sources",
                        "type": "application/vnd.dwolla.v1.hal+json",
                        "resource-type": "funding-source"
                    },
                    "customer": {
                        "href": "https://api-sandbox.dwolla.com/customers/9fc74373-a5c7-40e4-aa59-d5f4c86a24ea",
                        "type": "application/vnd.dwolla.v1.hal+json",
                        "resource-type": "customer"
                    }
                },
                "id": "92822961-3a7f-42c0-b0cc-7ffef05717fa",
                "status": "active",
                "created": "2022-10-19T17:44:44.864Z"
            }
        ]
    },
    "total": 1
}
```

### JavaScript

```javascript
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var customerUrl = "https://api-sandbox.dwolla.com/customers/176878b8-ecdb-469b-a82b-43ba5e8704b2";

token.get(`${customerUrl}/exchanges`).then((res) => res.body._embedded["exchanges"][0].id); // => '56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc'
```

### Python

```python
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
customer_url = 'https://api-sandbox.dwolla.com/customers/176878b8-ecdb-469b-a82b-43ba5e8704b2'

exchanges = app_token.get('%s/exchanges' % customer_url)
exchanges.body['_embedded']['exchanges'][0]['id'] # => '56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc'
```

### PHP

```php
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$exchangesApi = new ExchangesApi($apiClient);
$customerUrl = "https://api-sandbox.dwolla.com/customers/176878b8-ecdb-469b-a82b-43ba5e8704b2";

$exchanges = $exchangesApi->getCustomerExchanges($customerUrl);
$exchanges->_embedded->{"exchanges"}[0]->id; # => "56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc"
?>
```

### Ruby

```ruby
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
customer_url = 'https://api-sandbox.dwolla.com/customers/176878b8-ecdb-469b-a82b-43ba5e8704b2'

exchanges = app_token.get "#{customer_url}/exchanges"
exchanges._embedded['exchanges'][0].id # => "56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc"
```

### Response Codes

- **200**: Successful operation
- **404**: Not Found

```json
{
  "_links": {},
  "_embedded": {
    "exchanges": [
      {
        "_links": {},
        "id": "d3d6b41e-5567-4bc6-9c6e-0efd0a3e647e",
        "status": "active",
        "created": "2022-07-23T00:18:21.419Z"
      }
    ]
  },
  "total": 3
}
```

```json
{
  "code": "NotFound",
  "message": "Customer ID not found. Check Customer ID."
}
```

#### Authorizations

**Authorization**: 
- type: string
- in: header
- required: true  
The access token received from the authorization server in the OAuth 2.0 flow.

#### Headers

**Accept**: 
- type: enum<string>
- default: application/vnd.dwolla.v1.hal+json
- required: true  
The media type of the response. Must be application/vnd.dwolla.v1.hal+json

#### Path Parameters

**id**: 
- type: string
- required: true  
The ID of the Customer to list exchanges for.

### Response Structure

```json
{
  "_links": {},
  "_embedded": {},
  "total": 3
}
```
